Package ru.bitel.bgbilling.modules.inet.common.bean.enums

# Enum Class DhcpDisableMode

java.lang.Object
java.lang.Enum<DhcpDisableMode>
ru.bitel.bgbilling.modules.inet.common.bean.enums.DhcpDisableMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DhcpDisableMode>`, `Constable`

public enum DhcpDisableMode extends Enum<DhcpDisableMode>
Режим выдачи ip-адреса при закрытом доступе

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DHCP_DISABLE_MODE_DEFAULT_POOL`
  При закрытом доступе выдаем такие же ip, как и при открытом
  `DHCP_DISABLE_MODE_DEFAULT_POOL_AND_AUTH`
  При закрытом доступе выдаем такие же ip, как и при открытом, не проверяем авторизацию для сессии
  `DHCP_DISABLE_MODE_DISABLE_POOL`
  При закрытом доступе выдаем ip из dhcp.disable.ipCategories или вообще не выдаем, если таких ip не назначено
  `NONE`
  Опция в конфиге не задана

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getVal()`
  `static DhcpDisableMode`
  `valueOf(int mode)`
  Для получения енума по значению из конфига
  `static DhcpDisableMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DhcpDisableMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DhcpDisableMode NONE
    Опция в конфиге не задана

  - ### DHCP_DISABLE_MODE_DISABLE_POOL

    public static final DhcpDisableMode DHCP_DISABLE_MODE_DISABLE_POOL
    При закрытом доступе выдаем ip из dhcp.disable.ipCategories или вообще не выдаем, если таких ip не назначено

  - ### DHCP_DISABLE_MODE_DEFAULT_POOL

    public static final DhcpDisableMode DHCP_DISABLE_MODE_DEFAULT_POOL
    При закрытом доступе выдаем такие же ip, как и при открытом

  - ### DHCP_DISABLE_MODE_DEFAULT_POOL_AND_AUTH

    public static final DhcpDisableMode DHCP_DISABLE_MODE_DEFAULT_POOL_AND_AUTH
    При закрытом доступе выдаем такие же ip, как и при открытом, не проверяем авторизацию для сессии

- ## Method Details

  - ### values

    public static DhcpDisableMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DhcpDisableMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getVal

    public int getVal()

  - ### valueOf

    public static DhcpDisableMode valueOf(int mode)
    Для получения енума по значению из конфига
    Parameters:
      `mode` - режим. Возможные значения:
      - `NONE`
      - `DHCP_DISABLE_MODE_DISABLE_POOL`
      - `DHCP_DISABLE_MODE_DEFAULT_POOL`
      - `DHCP_DISABLE_MODE_DEFAULT_POOL_AND_AUTH`
    Returns:
      режим в виде значения енума